export declare type TCompareFn<T> = (a: T, b: T) => number;
export declare class Comparator<T> {
    static defaultCompareFn(a: any, b: any): number;
    private compareFn;
    constructor(compareFn?: TCompareFn<T>);
    /**
     * Checks if two values are equal
     */
    equal(a: T, b: T): boolean;
    /**
     * Checks if variable "a" is less than "b"
     */
    less(a: T, b: T): boolean;
    /**
     * Checks if variable "a" is greater than "b"
     */
    greater(a: T, b: T): boolean;
    /**
     * Checks if variable "a" is less than or equal to "b"
     */
    lessOrEqual(a: T, b: T): boolean;
    /**
     * Checks if variable "a" is greater than or equal to "b"
     */
    greaterOrEqual(a: T, b: T): boolean;
    /**
     * Reverses the comparison order
     */
    reverse(): this;
}
